scala.reflect

# AnyValManifest

#### abstract class AnyValManifest[T <: AnyVal] extends Manifest[T] with Equals

Source
  Manifest.scala

Linear Supertypes
Manifest[T], ClassTag[T], Equals, ClassManifestDeprecatedApis[T], OptManifest[T], Serializable, java.io.Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AnyValManifest
2. Manifest
3. ClassTag
4. Equals
5. ClassManifestDeprecatedApis
6. OptManifest
7. Serializable
8. Serializable
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AnyValManifest(toString: String)

### Abstract Value Members

1. #### abstract def runtimeClass: Class[_]

   A class representing the type `U` to which `T` would be erased.

   A class representing the type `U` to which `T` would be erased. Note that there is no subtyping relationship between `T` and `U`.

   Definition Classes
     ClassTag

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AnyValManifest[T] to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (AnyValManifest[T], B)

   Implicit information
     This member is added by an implicit conversion from AnyValManifest[T] to ArrowAssoc[AnyValManifest[T]] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

6. #### def <:<(that: ClassManifest[_]): Boolean

   Tests whether the type represented by this manifest is a subtype of the type represented by `that` manifest, subject to the limitations described in the header.

   Tests whether the type represented by this manifest is a subtype of the type represented by `that` manifest, subject to the limitations described in the header.

   Definition Classes
     AnyValManifest → ClassManifestDeprecatedApis

7. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

9. #### def argString: String

   Attributes
     protected
   Definition Classes
     ClassManifestDeprecatedApis

10. #### def arrayClass[T](tp: Class[_]): Class[Array[T]]

    Attributes
      protected
    Definition Classes
      ClassManifestDeprecatedApis

11. #### def arrayManifest: Manifest[Array[T]]

    Definition Classes
      Manifest → ClassManifestDeprecatedApis

12. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

13. #### def canEqual(other: Any): Boolean

    A method that should be called from every well-designed equals method that is open to be overridden in a subclass.

    A method that should be called from every well-designed equals method that is open to be overridden in a subclass. See Programming in Scala, Chapter 28 for discussion and design.

    returns

      true if this instance can possibly equal `that`, otherwise false

    Definition Classes
      AnyValManifest → Manifest → ClassTag → Equals → ClassManifestDeprecatedApis

14. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

15. #### def ensuring(cond: (AnyValManifest[T]) ⇒ Boolean, msg: ⇒ Any): AnyValManifest[T]

    Implicit information
      This member is added by an implicit conversion from AnyValManifest[T] to Ensuring[AnyValManifest[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: (AnyValManifest[T]) ⇒ Boolean): AnyValManifest[T]

    Implicit information
      This member is added by an implicit conversion from AnyValManifest[T] to Ensuring[AnyValManifest[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean, msg: ⇒ Any): AnyValManifest[T]

    Implicit information
      This member is added by an implicit conversion from AnyValManifest[T] to Ensuring[AnyValManifest[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean): AnyValManifest[T]

    Implicit information
      This member is added by an implicit conversion from AnyValManifest[T] to Ensuring[AnyValManifest[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

20. #### def equals(that: Any): Boolean

    Note: testing for erasure here is important, as it is many times faster than <:< and rules out most comparisons.

    Note: testing for erasure here is important, as it is many times faster than <:< and rules out most comparisons.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyValManifest → Manifest → ClassTag → Equals → AnyRef → Any

21. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

22. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from AnyValManifest[T] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

23. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

24. #### val hashCode: Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyValManifest → Manifest → ClassTag → AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

27. #### def newArray(len: Int): Array[T]

    Produces a new array with element type `T` and length `len`

    Produces a new array with element type `T` and length `len`

    Definition Classes
      ClassTag → ClassManifestDeprecatedApis

28. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

29. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### val toString: String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyValManifest → ClassTag → AnyRef → Any

32. #### def typeArguments: List[Manifest[_]]

    Definition Classes
      Manifest → ClassManifestDeprecatedApis

33. #### def unapply(x: Unit): Option[T]

    Definition Classes
      ClassTag

34. #### def unapply(x: Boolean): Option[T]

    Definition Classes
      ClassTag

35. #### def unapply(x: Double): Option[T]

    Definition Classes
      ClassTag

36. #### def unapply(x: Float): Option[T]

    Definition Classes
      ClassTag

37. #### def unapply(x: Long): Option[T]

    Definition Classes
      ClassTag

38. #### def unapply(x: Int): Option[T]

    Definition Classes
      ClassTag

39. #### def unapply(x: Char): Option[T]

    Definition Classes
      ClassTag

40. #### def unapply(x: Short): Option[T]

    Definition Classes
      ClassTag

41. #### def unapply(x: Byte): Option[T]

    Definition Classes
      ClassTag

42. #### def unapply(x: Any): Option[T]

    A ClassTag[T] can serve as an extractor that matches only objects of type T.

    A ClassTag[T] can serve as an extractor that matches only objects of type T.

    The compiler tries to turn unchecked type tests in pattern matches into checked ones by wrapping a `(_: T)` type pattern as `ct(_: T)`, where `ct` is the `ClassTag[T]` instance. Type tests necessary before calling other extractors are treated similarly. `SomeExtractor(...)` is turned into `ct(SomeExtractor(...))` if `T` in `SomeExtractor.unapply(x: T)` is uncheckable, but we have an instance of `ClassTag[T]`.

    Definition Classes
      ClassTag

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

46. #### def wrap: ClassTag[Array[T]]

    Produces a `ClassTag` that knows how to instantiate an `Array[Array[T]]`

    Produces a `ClassTag` that knows how to instantiate an `Array[Array[T]]`

    Definition Classes
      ClassTag

47. #### def →[B](y: B): (AnyValManifest[T], B)

    Implicit information
      This member is added by an implicit conversion from AnyValManifest[T] to ArrowAssoc[AnyValManifest[T]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from AnyValManifest[T] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (anyValManifest: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from AnyValManifest[T] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (anyValManifest: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def >:>(that: ClassManifest[_]): Boolean

   Tests whether the type represented by this manifest is a supertype of the type represented by `that` manifest, subject to the limitations described in the header.

   Tests whether the type represented by this manifest is a supertype of the type represented by `that` manifest, subject to the limitations described in the header.

   Definition Classes
     ClassManifestDeprecatedApis
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use scala.reflect.runtime.universe.TypeTag for subtype checking instead

2. #### def erasure: Class[_]

   Definition Classes
     ClassManifestDeprecatedApis
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use runtimeClass instead

3. #### def newArray2(len: Int): Array[Array[T]]

   Definition Classes
     ClassManifestDeprecatedApis
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use wrap.newArray instead

4. #### def newArray3(len: Int): Array[Array[Array[T]]]

   Definition Classes
     ClassManifestDeprecatedApis
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use wrap.wrap.newArray instead

5. #### def newArray4(len: Int): Array[Array[Array[Array[T]]]]

   Definition Classes
     ClassManifestDeprecatedApis
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use wrap.wrap.wrap.newArray instead

6. #### def newArray5(len: Int): Array[Array[Array[Array[Array[T]]]]]

   Definition Classes
     ClassManifestDeprecatedApis
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use wrap.wrap.wrap.wrap.newArray instead

7. #### def newArrayBuilder(): ArrayBuilder[T]

   Definition Classes
     ClassManifestDeprecatedApis
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use ArrayBuilder.make(this) instead

8. #### def newWrappedArray(len: Int): WrappedArray[T]

   Definition Classes
     ClassManifestDeprecatedApis
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Create WrappedArray directly instead

9. #### def x: AnyValManifest[T]

   Implicit information
     This member is added by an implicit conversion from AnyValManifest[T] to ArrowAssoc[AnyValManifest[T]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (anyValManifest: ArrowAssoc[AnyValManifest[T]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

10. #### def x: AnyValManifest[T]

    Implicit information
      This member is added by an implicit conversion from AnyValManifest[T] to Ensuring[AnyValManifest[T]] performed by method any2Ensuring in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (anyValManifest: Ensuring[AnyValManifest[T]]).x

    Definition Classes
      Ensuring
    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Manifest[T]

### Inherited from ClassTag[T]

### Inherited from Equals

### Inherited from ClassManifestDeprecatedApis[T]

### Inherited from OptManifest[T]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AnyValManifest[T] to StringAdd

### Inherited by implicit conversion any2stringfmt from AnyValManifest[T] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from AnyValManifest[T] to ArrowAssoc[AnyValManifest[T]]

### Inherited by implicit conversion any2Ensuring from AnyValManifest[T] to Ensuring[AnyValManifest[T]]

### Ungrouped